%global shortver 0.74
%global upstreamver %{shortver}-3

Summary: DOSBox emulates a full x86 PC with sound and DOS
Name: dosbox
Version: %{shortver}.3
Release: 1%{?dist}
License: GPLv2+
Group: Applications/Emulators
URL: http://www.dosbox.com/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://dl.sourceforge.net/%{name}/%{name}-%{upstreamver}.tar.gz
Source1: %{name}.desktop
Source2: %{name}.png
BuildRequires: desktop-file-utils, SDL-devel >= 1.2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
DOSBox is a DOS-emulator that uses the SDL-library which makes DOSBox
very easy to port to different platforms. DOSBox has already been
ported to many different platforms, such as Windows, BeOS, Linux and
MacOS X.

DOSBox also emulates CPU:286/386 realmode/protected mode, Directory
FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA graphics, a
SoundBlaster/Gravis Ultra Sound card for excellent sound
compatibility with older games.

%prep
%setup -q -n %{name}-%{upstreamver}

%build
%{configure} --enable-core-inline
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"
%{__install} -d %{buildroot}%{_datadir}/pixmaps
%{__install} -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor %{name} --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING THANKS AUTHORS ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Apr 21 2020 Simon Matter <simon.matter@invoca.ch> 0.74.3-1
- upgrade to 0.74-3
- add support for EL8

* Mon Jan 21 2019 Simon Matter <simon.matter@invoca.ch> 0.74.2-1
- upgrade to 0.74-2

* Wed Dec 17 2014 Simon Matter <simon.matter@invoca.ch> 0.74-3
- fix build on el7

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 0.74-2
- mass rebuild

* Thu May 13 2010 Simon Matter <simon.matter@invoca.ch> 0.74-1
- upgrade to 0.74

* Sat May 30 2009 Simon Matter <simon.matter@invoca.ch> 0.73-1
- upgrade to 0.73

* Fri Oct 05 2007 Simon Matter <simon.matter@invoca.ch> 0.72-2
- fix desktop integration

* Tue Aug 28 2007 Simon Matter <simon.matter@invoca.ch> 0.72-1
- upgrade to 0.72

* Sat Mar 10 2007 Simon Matter <simon.matter@invoca.ch> 0.70-1
- initial package
